import { Page } from "tns-core-modules/ui/page";
import { StripeAddress, StripeConfigCommon, StripePaymentListener, StripePaymentMethod, StripeShippingMethod } from "./standard.common";
export * from "./standard.common";
export declare class StripeConfig extends StripeConfigCommon {
    readonly native: STPPaymentConfiguration;
    static shared(): StripeConfig;
}
export declare class StripeCustomerSession {
    native: STPCustomerContext;
    constructor();
}
export declare class StripePaymentSession {
    private page;
    native: STPPaymentContext;
    private delegate;
    _paymentInProgress: boolean;
    constructor(page: Page, customerSession: StripeCustomerSession, amount: number, currency: string, listener?: StripePaymentListener, prefilledAddress?: StripeAddress);
    readonly loading: boolean;
    readonly isPaymentReady: boolean;
    readonly paymentInProgress: boolean;
    readonly amount: number;
    readonly selectedPaymentMethod: StripePaymentMethod;
    readonly selectedShippingMethod: StripeShippingMethod;
    readonly shippingAddress: StripeAddress;
    private ensureHostViewController;
    requestPayment(): void;
    presentPaymentMethods(): void;
    presentShipping(): void;
}
